Subject: Do parents go through a grieving process when t
From: Life is Beautiful <[email-masked]>
To: [email-masked]
Date: Tue, 29 Sep 2020 08:26:44 +0000

Trending Stories from Life is Beautiful

-----

Question: Do parents go through a grieving process when their kids grow up and leave them?

Answer from Lisis Blackston

My son moved out last week.

He was 18. He never went to school (we homeschooled), and never went to sleepovers (his choice), and never really wanted to go anywhere. He was ha
Read More: http://www.quora.com/Do-parents-go-through-a-grieving-process-when-their-kids-grow-up-and-leave-them?top_ans=156142379
-----
Question: What is the life people should not live?

Answer from Coal Akida

When I was 15, I wanted a job at McDonald's. My dad said to me, “If you want a job so bad, I will pay you $6 an hour,” which was a lot of money 25 years ago. He wanted to pay 
Read More: http://www.quora.com/What-is-the-life-people-should-not-live?top_ans=54504044
-----
judging !

judging !

-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1601368003414054&et=146&id=ec321aa470c94426a85adae43112af05&notif_type=418&request_id=418&snid=12239786070&src=1&st=1601368003418311&stories=%5B(%3Cstory_types.tribe_post%3A+10%3E%2C+12493451)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+12538195)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+12271778)%5D&tribe_item_ids=bnLIMCaOPyZ%7C9MsUzxCrcHT%7CIvfUYkopvQA&uid=oaI5nJBvtz4&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=ec321aa470c94426a85adae43112af05&t=1601368003503739&token=86f7a0d0ffe79a43f5e33de6af67ad5f00a303aa44ed12b0e01d365e8e0d7602689fe8c8166f7f4c1a7f6b4ea1471de5bdc3fec34a8ea16a5cd3a14b78a1d618&type=146&uid=1229773278